Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000082 [Piwigo] synchronization minor always 2005.02.17 19:38 2006.02.15 03:31
Reporter eelko View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection redesign   OS Version
ETA > 1 month Fixed in Version BSF branch (dev) Product Version 1.4.0RC3
  Target Version Product Build
Summary 0000082: Remote galleries and High quality pictures
Description When i use an remote gallerie without pwg_high (directory and picture) i get an error in the logfile.
I think this is hard to change but the apache error logfile can grow big on large galleries when there are not high quality pictures on that site.
This problem exist also in RC1 and RC2
I use: Apache 2.0.52 / Php 4.3.10 in safe mode
Steps To Reproduce
Additional Information See forum ID: 3224

When there is no directory pwg_high:
[Mon Feb 14 13:54:57 2005] [error] [client x.x.x.x] File does not exist: /<location>/http/galleries/bowling/pwg_high

When there is not an corresponding high quality file:
[Mon Feb 14 14:08:21 2005] [error] [client x.x.x.x] File does not exist: <location>/<website>/http/galleries/bowling/pwg_high/<file>.jpg

Tags No tags attached.
browser any
Database engine and version
PHP version 4.3.10 (Safe mode)
Web server Apache 2.0.52
Attached Files

- Relationships

-  Notes
(0000097)
plg (manager)
2005.03.16 21:08

Said on the forum

> A simple solution would be to search HQ pictures during files
> synchronization, and not in picture.php anymore.
>
> I don't think it would be smart to add this in 1.4.0 but maybe in
> 1.4.1.
(0000594)
rvelices (developer)
2006.02.01 02:54

added new column has_high in images table, modified create_listing_file and remote_site update
(0000595)
plg (manager)
2006.02.01 20:54

I've read your [Subversion] r1020 differences. Here are my thoughts:

- why is column #images.has_high enum('true') and not enum ('true', 'false') like all other true/false column in PWG ?

- why limitating high_quality search to remote site ? In my opinion, it should also be done in local synchronization (update.php).

- how do you manage already existing remote sites ? I mean that #images.has_high is filled only at line creation, no update in admin/remote_site.php

Thanks for your commit :-)
(0000600)
rvelices (developer)
2006.02.01 22:54

My answers:
- if high does not exist, creating_listing_file does not set the attribute (smaller xml files), so without changing something in mass_inserts or mass_update, this means it tries to put null in the column - initially I wrote true,false but I changed afterwards. If you think that (true,false) is better for clarity or whatever, I will change it

- You're right but I will post something about local/remote on the forum

- You're right again, I thought about it, same as above - on the forum
(0000606)
plg (manager)
2006.02.01 23:30

> If you think that (true,false) is better for clarity or whatever,
> I will change it

The problem with NULL is that I don't know if it means "maybe" or "no high". It might be smart to have a three value enum : true/false/unknown. 'unknown' filled by default. 'unknown' means picture.php have to check.

BTW, you never need to change mass_insert or mass_update, just change the data array passed to the function. In your example, if you had an enum true/false and false filled by default, you wouldn't have to modify code neither.

- Issue History
Date Modified Username Field Change
2005.02.17 19:38 eelko New Issue
2005.02.17 19:38 eelko browser => any
2005.02.17 19:38 eelko PHP version => 4.3.10 (Safe mode)
2005.02.17 19:38 eelko Web server => Apache 2.0.52
2005.02.17 22:10 plg Assigned To => plg
2005.02.17 22:10 plg Severity major => minor
2005.02.17 22:10 plg Status new => assigned
2005.02.17 22:10 plg Projection none => redesign
2005.02.17 22:10 plg Category navigation => directories update
2005.02.17 22:10 plg ETA none => > 1 month
2005.03.16 21:08 plg Note Added: 0000097
2006.01.30 22:02 rvelices Assigned To plg => rvelices
2006.02.01 02:54 rvelices Note Added: 0000594
2006.02.01 02:54 rvelices Status assigned => closed
2006.02.01 02:54 rvelices Resolution open => fixed
2006.02.01 20:54 plg Note Added: 0000595
2006.02.01 20:54 plg Status closed => feedback
2006.02.01 20:54 plg Resolution fixed => reopened
2006.02.01 20:54 plg Note Added: 0000596
2006.02.01 20:54 plg Note Deleted: 0000596
2006.02.01 22:54 rvelices Note Added: 0000600
2006.02.01 23:30 plg Note Added: 0000606
2006.02.15 03:31 rvelices Status feedback => closed
2006.02.15 03:31 rvelices Resolution reopened => fixed
2006.02.15 03:31 rvelices Fixed in Version => BSF branch (dev)


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker